Build:
  1. 0
2022-06-22 12:57.39: New job: Build using linux-arm64 in
                                []
2022-06-22 12:57.39: Will push staging image to ocurrent/opam-staging:debian-11-ocaml-4.07-flambda-arm32v7

Dockerfile:

FROM ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
RUN opam switch create 4.07 --packages=ocaml-variants.4.07.1+flambda
RUN opam pin add -k version ocaml-variants 4.07.1+flambda
RUN opam install -y opam-depext
RUN opam install -y ocaml-secondary-compiler
ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
CMD bash
COPY [ "Dockerfile", "/Dockerfile.ocaml" ]

2022-06-22 12:57.39: Using cache hint "4.07.1+flambda-arm32v7-ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330"
2022-06-22 12:57.39: Waiting for resource in pool OCluster
2022-06-22 12:57.39: Waiting for worker...
2022-06-22 12:57.39: Got resource from pool OCluster
Building on molpadia.ocamllabs.io
Sending build context to Docker daemon   2.56kB

Step 1/10 : FROM ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
docker.io/ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330: Pulling from ocurrent/opam-staging
8c8b1770c0de: Pulling fs layer
841a77dfcf49: Pulling fs layer
8c8b1770c0de: Verifying Checksum
8c8b1770c0de: Download complete
8c8b1770c0de: Pull complete
841a77dfcf49: Verifying Checksum
841a77dfcf49: Download complete
841a77dfcf49: Pull complete
Digest: sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
Status: Image is up to date for ocurrent/opam-staging@sha256:f7199af34aace52ca96139917863ae1240db05c846ccbad9192ade1774d86330
 ---> 3f54084e5067
Step 2/10 : SHELL [ "/usr/bin/linux32", "/bin/sh", "-c" ]
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 7b3d7ac66764
Removing intermediate container 7b3d7ac66764
 ---> 44074f89e7fe
Step 3/10 : ENV OPAMYES="1" OPAMCONFIRMLEVEL="unsafe-yes" OPAMERRLOGLEN="0" OPAMPRECISETRACKING="1"
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 2cd82d89c676
Removing intermediate container 2cd82d89c676
 ---> 4ca5e31a369a
Step 4/10 : RUN opam switch create 4.07 --packages=ocaml-variants.4.07.1+flambda
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 12d4f5d71dd7

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ocaml-variants.4.07.1+flambda] downloaded from https://github.com/ocaml/ocaml/archive/4.07.1.tar.gz
[ocaml-variants.4.07.1+flambda/alt-signal-stack.patch] downloaded from https://github.com/ocaml/ocaml/commit/00b8c4d503732343d5d01761ad09650fe50ff3a0.patch

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-variants.4.07.1+flambda
-> installed ocaml-config.1
-> installed ocaml.4.07.1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 12d4f5d71dd7
 ---> bf55200897b1
Step 5/10 : RUN opam pin add -k version ocaml-variants 4.07.1+flambda
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 8b8477959558
ocaml-variants is now pinned to version 4.07.1+flambda

No package build needed.
Nothing to do.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 8b8477959558
 ---> c66a6b1be911
Step 6/10 : RUN opam install -y opam-depext
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in b30dfae6ead4
The following actions will be performed:
  - install opam-depext 1.2.1-1

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[opam-depext.1.2.1-1] downloaded from https://github.com/ocaml-opam/opam-depext/releases/download/v1.2.1/opam-depext-full-1.2.1.tbz

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed opam-depext.1.2.1-1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container b30dfae6ead4
 ---> ef11c71b8de5
Step 7/10 : RUN opam install -y ocaml-secondary-compiler
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 30c82d58545b
The following actions will be performed:
  - install ocaml-secondary-compiler 4.08.1-1

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ocaml-secondary-compiler.4.08.1-1] downloaded from https://github.com/ocaml/ocaml/archive/4.08.1.tar.gz
[ocaml-secondary-compiler.4.08.1-1/alt-signal-stack.patch] downloaded from https://github.com/ocaml/ocaml/commit/17df117b4939486d3285031900587afce5262c8c.patch

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed ocaml-secondary-compiler.4.08.1-1
Done.
# Run eval $(opam env) to update the current shell environment
Removing intermediate container 30c82d58545b
 ---> 03144d93df75
Step 8/10 : ENTRYPOINT [ "/usr/bin/linux32", "opam", "exec", "--" ]
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in a079258f00bb
Removing intermediate container a079258f00bb
 ---> 2e4009c01101
Step 9/10 : CMD bash
 ---> [Warning] The requested image's platform (linux/arm/v7) does not match the detected host platform (linux/arm64/v8) and no specific platform was requested
 ---> Running in 55c001e3cfde
Removing intermediate container 55c001e3cfde
 ---> f691195e0b00
Step 10/10 : COPY [ "Dockerfile", "/Dockerfile.ocaml" ]
 ---> c14a4518ba90
Successfully built 6615e6355cf9
Pushing "sha256:6615e6355cf94e9f62637b5c48c3b577236249c7f56daf5be94b913441da2370" to "ocurrent/opam-staging:debian-11-ocaml-4.07-flambda-arm32v7" as user "ocurrentbuilder"
Login Succeeded
The push refers to repository [docker.io/ocurrent/opam-staging]
4b5b5e98be9d: Preparing
2f7de60cd7ad: Preparing
0687017fa1b6: Preparing
0687017fa1b6: Layer already exists
2f7de60cd7ad: Layer already exists
4b5b5e98be9d: Pushed
debian-11-ocaml-4.07-flambda-arm32v7: digest: sha256:fee6791d7069643c853e03698fe408d69f7f66da26f6f02cdca0177cf03c08fc size: 956
Job succeeded
2022-06-22 13:46.00: Job succeeded